/*
===============================================================================

	FILE:	arithmeticmodel.h
	
	CONTENTS:
			
    An arithmetic coder that was adapted from the code provided by
    Frederic Wheeler. This coder is not particularly fast.

  PROGRAMMERS:
	
		martin isenburg@cs.unc.edu
	
	COPYRIGHT:
	
		(c) 2001 martin isenburg@cs.unc.edu
		
		This software is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	
	CHANGE HISTORY:
	
		11 September 2001 -- created. adapted from frederic wheelers code.
	
===============================================================================
*/
#ifndef ARITHMETICMODEL_H
#define ARITHMETICMODEL_H

class ArithmeticModel
{
public:

	ArithmeticModel(int nsym, int adaptive, int* table);
	~ArithmeticModel();

	void update(int sym);

	int nsym;
	int* freq;
	int* cfreq;
	int adaptive;
};

#endif
