/*
===============================================================================

	FILE:	material.h
	
	CONTENTS:
	
		Cell Fixer
	
	PROGRAMMERS:
	
		martin isenburg@cs.unc.edu
	
	COPYRIGHT:
	
		Copyright (C) 2000  Martin Isenburg (isenburg@cs.unc.edu)
		
		This software is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	
	CHANGE HISTORY:
	
		20 May 2000 -- created
	
===============================================================================
*/
#ifndef CF_MATERIAL_H
#define CF_MATERIAL_H

class CFmaterial
{
public:
  char name[128];
  float a[4];
  float d[4];
  float s[4];
  float e[4];
  float sn;

  CFmaterial();
  CFmaterial(char*);
  CFmaterial(char*, float, float, float);
  ~CFmaterial();
};

#endif
