/*
===============================================================================

	FILE:	vertex.h
	
	CONTENTS:
	
		Cell Fixer
	
	PROGRAMMERS:
	
		martin isenburg@cs.unc.edu
	
	COPYRIGHT:
	
		Copyright (C) 2000  Martin Isenburg (isenburg@cs.unc.edu)
		
		This software is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	
	CHANGE HISTORY:
	
		20 May 2000 -- created
	
===============================================================================
*/
#ifndef CF_VERTEX_H
#define CF_VERTEX_H

class CFvertex
{
public:
	int index;
	int active;
	int marker;
	int degree;
  float v[3];
  int  vq[3];
  
  CFvertex();
  CFvertex(float, float, float);
  CFvertex(float, float, float, int);
  ~CFvertex();
};

#endif
